/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Objekte der Klasse <code>BANKKONTO</code> sollen relevante Daten über ein Bankkonto speichern. Wie du rechts bzw. unten siehst, wurde schon eine Klassendefinition programmiert. Ändere sie folgendermaßen ab:</p><ol><li><p>Der Datentyp des Attributs <code>kontoinhaber</code> ergibt keinen Sinn. Ändere ihn ab, sodass der Attributwert normaler Text ist.</p></li><li><p><code>kontostand</code> soll natürlich ein Geldbetrag sein, also eine Gleitkommazahl wie <code>503.22</code> für 503,22 €. Passe auch hier den Datentyp an!</p></li><li><p>Ergänze ein Attribut namens <code>istGesperrt</code>, welches nur einen Wahrheitswert speichern soll.</p></li></ol>",
	"code": "class BANKKONTO {\n    int kontonummer;\n    int kontoinhaber;\n    int kontostand;\n}",
	"canReset": true,
	"labelSubmit": "📥 Veränderungen überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "BANKKONTO",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "kontonummer",
					"type": "int",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "kontoinhaber",
					"type": "String",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "kontostand",
					"type": [
						"float",
						"double"
					],
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "istGesperrt",
					"type": "boolean",
					"dimensions": 0,
					"static": false
				}
			]
		}
	]
}
